<!DOCTYPE html>
<html style="font-size: 20px;">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Attributes and Links</title>
</head>
<body>
	<!-- "id" attribute assigns a unique named identifier to the element -->
	<h2 id="top">HTML Attributes</h2>
		<p align="center">
			<em>Modifiers of element behaviors</em>
		</p>

		<h2>HTML Images</h2>
		<p align="right">
			<!-- &lt; and &gt; are called HTML entities which are used to include special characted into text -->
			<em>
				An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.
			</em>
		</p>

		<!-- placing the <a> around any element makes it clickable -->
		<a target="_blank" href="https://place-puppy.com">

		<!-- <img> tag is used to include images; can add -->
			<img src="https://place-puppy.com/300x300" alt="Puppy Photo">
		</a>
		<!-- "alt" attribute provides an alternate text for an image -->

		<p>
			<!-- <code> tag is used to define a piece of computer code and displays text in the browser using its default monospace font -->
			<code>
				&lt;img src="https://place-puppy.com/300x300"&gt;
			</code>
		</p>
		<!-- dot (.) refers to current directory -->
		<!-- forward slach (/) symbol refers to accessing a different directory/folder -->
		<img src="./images/Disc Pic.png" height="300" width="300">

		<p>
			<code>
				&lt;img src="./images/Disc Pic.png" height="300" width="300"&gt;
			</code>
		</p>

		<p>Valid Image Extensions are the following:</p>
		
		<!-- "type" attribute changes the numbered points of the <ol> elements -->

		<!-- Other values for the type attribute are the following:
			- a
			- A
			- i
			- I
		 -->

		 <!-- For <ul> (unordered list), other values for the type attribute are the following:
		 	- disc
		 	- circle
		 	- square
		 	- none
		 -->

		<ol type="a" >
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>
		<!-- "reversed" attribute can reverse the order -->

		<h2>HTML Links</h2>
		<h4>Absolute Link</h4>

		<!-- <a> tag creates a hyperlink element; when clicked, will redirect to a different page -->
		<!-- "href" attrib means hypertext reference; which is used to create a link to a different page  -->
		<a target="blank" href="https://zuitt.co/">I'm a hyperlink.</a>
		<!-- "target="_blank"" attribute opens the hyperlink in a new tab -->
		<br>
		<br>
		<br>

		<h4>Relative Link</h4>
		<!-- Redirect to the link.html file -->

		<p id="links">Go to <a href="./link.html">link.html</a> </p>

		<!-- Redirects to the HTML element with "top" id attribute -->
		<p align="center">Go to <a href="#top">top.</a></p>

</body>
</html>